Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/callphys.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/callphys.def	(revision 1254)
@@ -0,0 +1,196 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .false. #.true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Planet with rings?
+rings_shadow = .true.
+# Compute latitude-dependent gravity field??
+oblate = .true.
+# Flattening (a-b)/a
+flatten = 0.09796
+# Needed if oblate=.true.: J2
+J2 = 0.01629
+# Needed if oblate=.true.: Planet mean radius (m)
+Rmean = 58210000.
+# Needed if oblate=.true.: Mass of the planet (*1e24 kg)
+MassPlanet = 568.5
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match=.false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#datadir     = /home/spiga/datagcm
+#datadir     = /d5/aslmd/datagcm/
+datadir = /san/common/umr8539/DATAGENERIC/
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+#iradia     = 160
+iradia     = 40
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .true.
+# folder in which correlated-k data is stored ?
+#corrkdir   = CH4_C2H6_C2H2_Profils
+#corrkdir   = CH4_C2H6_C2H2_T_70-400K
+#corrkdir   = CH4_C2H6_C2H2_HITRAN2012
+corrkdir   = CH4_C2H6_C2H2_HITRAN2012_Karko
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .true.
+# Uniform absorption coefficient in radiative transfer?
+graybody     = .false.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 100.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .false.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .true.
+# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
+cpp            = 11500.
+# Molecular mass in g mol-1 [only used if force_cpp = T]
+mugaz          = 2.34
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true. 
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .false.
+# Internal heat flux (matters only if callsoil=F)
+intheat = 2.6
+# Remove lower boundary (e.g. for gas giant sims)
+nosurf = .true.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+#Ammonia cloud?
+aeronh3       = .false.
+# Radiatively active CO2 aerosol?
+aeroco2       = .false.
+# Fixed CO2 aerosol distribution?
+aerofixco2    = .false.
+# Radiatively active water aerosol?
+aeroh2o       = .false.
+# Fixed water aerosol distribution?
+aerofixh2o    = .false.
+# basic dust opacity
+dusttau       = 0.0
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.0
+# fixed radii for cloud particles?
+radfixed=.false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+
+
+# Radiatively active SATURN aerosol?
+aeroback2lay       = .true.
+# Parametrization of SATURN aerosol?
+obs_tau_col_tropo = 8.0
+size_tropo = 2.e-6
+# To not call abort when temperature is outside boundaries:
+strictboundcorrk = .false.
+
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
+# Include hydrology ?
+hydrology     = .false.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness ?
+maxicethick   = 10.
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/diagfi.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/diagfi.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/diagfi.def	(revision 1254)
@@ -0,0 +1,10 @@
+Ls
+tsurf
+ps
+temp
+u
+v
+p
+ISR
+ASR
+OLR
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/gases.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/gases.def	(revision 1254)
@@ -0,0 +1,17 @@
+# gases
+5
+H2_
+He_
+CH4
+C2H2
+C2H6
+0.86
+0.1355
+0.0045
+1.e-7
+1.e-5
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then molar mixing ratios.
+# mixing ratio -1 means the gas is variable.
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/modif.128x96.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/modif.128x96.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/modif.128x96.def	(revision 1254)
@@ -0,0 +1,21 @@
+
+## RUN.DEF
+
+day_step = 140
+day_step = 280
+
+# peu d appel physiq
+iphysiq = 140
+
+tetagdiv = 2700.
+tetagrot = 3600.
+tetatemp = 3600.
+
+#tetagdiv = 1500.
+#tetagrot = 2400.
+#tetatemp = 2400.
+
+## CALLPHYS.DEF
+
+## peu d appel physiq
+#iradia = 320
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/modif.256x192.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/modif.256x192.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/modif.256x192.def	(revision 1254)
@@ -0,0 +1,22 @@
+
+## RUN.DEF
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )
+ day_step = 280
+
+# periode de la physique (en pas) (en pas dynamiques, n'a de sens que si iflag_phys=1)                                      
+  iphysiq=7
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=1800.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=2700.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=2700.
+
+## CALLPHYS.DEF
+
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 640
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/profile.in
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/profile.in	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/profile.in	(revision 1254)
@@ -0,0 +1,65 @@
+   140.0000    
+   169.1695    
+   166.3750    
+   161.6829    
+   154.7803    
+   146.3165    
+   137.2212    
+   127.9129    
+   118.7821    
+   110.3030    
+   102.4293    
+   96.02999    
+   92.03622    
+   89.56665    
+   88.03867    
+   87.62879    
+   86.08643    
+   85.64030    
+   85.77625    
+   86.71933    
+   88.36597    
+   90.86674    
+   93.94783    
+   98.25508    
+   103.4736    
+   109.8241    
+   116.8234    
+   123.4941    
+   129.0350    
+   133.2945    
+   136.5947    
+   139.1025    
+   141.0121    
+   142.4614    
+   143.5658    
+   144.3983    
+   145.0398    
+   145.4910    
+   145.9344    
+   146.2735    
+   146.4413    
+   146.4729    
+   146.4101    
+   146.2697    
+   146.0573    
+   145.7981    
+   145.4754    
+   145.1364    
+   144.7763    
+   144.4578    
+   144.1650    
+   143.9044    
+   143.6493    
+   143.3402    
+   142.9586    
+   142.4562    
+   141.8307    
+   141.0768    
+   140.2885    
+   139.4678    
+   138.6949    
+   137.7836    
+   137.6600    
+   132.1218    
+   140.5693    
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/readme
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/readme	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/readme	(revision 1254)
@@ -0,0 +1,11 @@
+Reference runs for the Icarus paper:
+Surface pressure at 3 bars (z2sig.def, profile.in and start files modified accordingly)
+Cp fixed to 11500 (callphys.def)
+
+Start.nc and startfi.nc given for a resolution of 8x128x64
+Equilibrated by a run about 2 Saturn years long
+--> associated start_archive file is given as well
+not-equilibrated start files are kept here for reference and testing
+
+compile command on gnome cluster
+makelmdz_fcm -cpp NODYN -s 1 -d 8x128x64 -b 20x30 -arch GNOMEp -parallel mpi -p generic gcm
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/run.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/run.def	(revision 1254)
@@ -0,0 +1,194 @@
+###########################################################################
+### RUN.DEF ### RUN.DEF ### RUN.DEF ### RUN.DEF ### RUN.DEF ### RUN.DEF ###
+########################################################################### 
+### A MERGED VERSION TO BE USED WITH OLD OR RECENT LMDZ CORE
+### i.e. compiles gcm.def+run.def in LMDZ5 with run.def in old planeto LMDZ
+### (*) indicates same parameters in old and recent LMDZ core
+###########################################################################
+
+###########################################################################
+### NUMERICAL INTEGRATIONS
+###########################################################################
+### nday --> number of days of integration (*)
+### iperiod --> period for the Matsuno step (in dynamical steps) (*)
+### day_step --> number of steps per day (multiple of iperiod) (*)
+### purmats --> temporal integration: Matsuno or Matsuno-leapfrog? (*)
+### grireg --> regular grid or not (*)
+### adjust --> flag to activate load optimization
+### use_filtre_fft --> flag to activate FFT filtering
+###########################################################################
+nday = 650000
+nday = 1250
+iperiod = 5
+day_step = 70
+purmats = .false.
+grireg = .true.
+adjust = n
+use_filtre_fft = n
+
+###########################################################################
+### WHAT RELATES TO PHYSICS
+###########################################################################
+### iphysiq --> period for calling physics (in dynamical steps) (*)
+### ecritphy --> frequency for outputs in diagfi (in dynamical steps) (*)
+### planet_type --> the planet
+### disvert_type --> type of vertical coordinates (2 for planeto)
+### hybrid --> use hybrid coordinates or not? (*)
+### iflag_phys=0 --> no physics (e.g. shallow water)
+### iflag_phys=1 --> physics (e.g. phylmd)
+### iflag_phys=2 --> simple newtonian relaxation
+### physic --> flag with or without physics (*)
+###########################################################################
+iphysiq = 140
+ecritphy = 7000
+planet_type = generic
+disvert_type = 2
+hybrid = .false.
+iflag_phys = 1
+physic = .true.
+
+###########################################################################
+### INITIALIZATION and NUDGING
+###########################################################################
+### read_start --> with or without start files ?
+###                (without: initialization by iniacademic)
+### raz_date=0 --> use the date in start file
+### raz_date=1 --> erase the date and start from scratch
+### ok_guide --> flag for nudging towards winds (needs relax.nc)
+### facwind --> time constant for relaxation 
+###             5.e8 medium 1.e7-5.e6 strong 1.e6 very fast
+###########################################################################
+read_start = y 
+raz_date = 0
+ok_guide = y
+facwind = 1.e6
+
+###########################################################################
+### HORIZONTAL DISSIPATION
+###########################################################################
+### dissip_period --> period call to dissipation (in dynamical steps)
+### - must be a multiple of iperiod
+### - 0 means automatic computation 
+### - use idissip instead if old LMDZ core (idissip ignored in LMDZ5)
+### dissip_fac_mid --> enhancement factor in middle atmosphere
+### - set to 1 to prevent dissipation enhancement
+### lstardis --> star or not star dissipation operator (*)
+### nitergdiv --> number of iterations for gradiv operator (*)
+### nitergrot --> number of iterations for nxgradrot operator (*)
+### niterh --> number of iterations for divgrad operator (*)
+### tetagdiv --> dissipation timescale of smallest wvl: u,v (gradiv) (*)
+### tetagrot --> dissipation timescale of smallest wvl: u,v (nxgradrot) (*)
+### tetatemp --> dissipation timescale of smallest wvl: h (divgrad) (*)
+### coefdis --> coefficient for gamdissip (*)
+###########################################################################
+dissip_period = 5
+dissip_fac_mid = 2
+lstardis = .true. 
+nitergdiv = 1
+nitergrot = 2
+niterh = 2
+tetagdiv = 5400.
+tetagrot = 7200.
+tetatemp = 7200.
+
+###########################################################################
+### ENHANCEMENT OF HORIZONTAL DISSIPATION IN UPPERMOST LEVELS 
+###########################################################################
+### - not activated if ok_strato=n
+### - dissip_fac_up --> enhancement factor
+### - dissip_deltaz --> altitude range of transition (km)
+### - dissip_hdelta --> scale height at transition (km)
+### - dissip_pupstart --> pressure at bottom of transition region (Pa) 
+###########################################################################
+ok_strato = y
+dissip_fac_up = 2
+dissip_deltaz = 150.
+dissip_hdelta = 50.
+dissip_pupstart = 50.
+
+###########################################################################
+### DAMPING ("SPONGE") LAYER AT MODEL TOP
+###########################################################################
+### iflag_top_bound=0 for no sponge
+### iflag_top_bound=1 for sponge over 4 topmost layers
+### iflag_top_bound=2 for sponge from top to ~1% of top layer pressure
+### mode_top_bound=0 for no sponge
+### mode_top_bound=1 for u,v --> 0
+### mode_top_bound=2 for u,v --> zonal mean
+### mode_top_bound=3 for u,v,h --> zonal mean
+### tau_top_bound --> damping frequency at last layer
+### e-5 medium / e-4 strong yet reasonable / e-3 very strong
+###########################################################################
+iflag_top_bound = 2
+mode_top_bound = 1
+tau_top_bound = 1.e-5
+tau_top_bound = 1.e-6
+tau_top_bound = 1.e-4
+
+###########################################################################
+### OUTPUT FROM DYNAMICS
+###########################################################################
+### prt_level --> level of control prints (1-10)
+### ok_dyn_ins --> flag instantaneous outputs (dyn_hist.nc)
+### iecri --> frequency of instantaneous outputs (in dynamical steps)
+### ok_dyn_ave --> flag averaged outputs (dyn_hist_ave.nc)
+### periodav --> period of output of averages in dynamics (in days) 
+### ok_dynzon --> flag outputs dynzon
+### NB: iecri and periodav used to be in old LMDZ core although useless
+### iconser --> frequency of outputs of control variables (in dyn steps)(*)
+###########################################################################
+prt_level = 1
+ok_dyn_ins = n
+iecri = 480
+ok_dyn_ave = n
+periodav = 1
+ok_dynzon = n
+iconser = 120
+
+###########################################################################
+### ZOOMED GRID (same parameters in old and recent LMDZ core)
+###########################################################################
+### clon --> longitude of center of zoom (deg) (*)
+### clat --> latitude of center of zoom (deg) (*)
+### grossismx --> zoom factor in longitude (*)
+### grossismy --> zoom factor in latitude (*)
+### dzoomx --> longitude extent of zoom zone (fraction of total area) (*)
+### dzoomy --> latitude extent of zoom zone (fraction of total area) (*)
+### taux --> "stifness" of zoom in longitude (*)
+### tauy --> "stifness" of zoom in latitude (*)
+### fxyhypb --> f(y) hyperbolic (T) or sinusoidal (F) (*)
+### ysinus --> f(y) = sin(lat) (T) or lat (F) (*)
+###########################################################################
+clon = 0.
+clat = 0.
+grossismx = 1.
+grossismy = 1.
+dzoomx = 0.
+dzoomy = 0.
+taux = 2.
+tauy = 2.
+fxyhypb = .false.
+ysinus = .false.
+
+###########################################################################
+### LEFTOVERS
+### calend=earth_360d ## specific calendar
+### resetvarc=n   ## reinit des variables de controle
+### iflag_trac=0  ## avec ou sans traceurs
+### dayref=10120  ## initial date
+### anneeref=2000 ## year of initial state
+### --- old version of spong layer
+## Avec sponge layer
+#  callsponge  = .true.
+## Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+#  mode_sponge= 2
+## Sponge:  hauteur de sponge (km)
+#  hsponge= 50
+## Sponge:  tetasponge (secondes)
+#  tetasponge = 50000
+
+###########################################################################
+### INCLUDE OTHER DEF FILES (physics, specific settings, etc...)
+###########################################################################
+INCLUDEDEF=callphys.def
+INCLUDEDEF=modif.def
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/saturn_start_3bar.ref
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/saturn_start_3bar.ref	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/saturn_start_3bar.ref	(revision 1254)
@@ -0,0 +1,19 @@
+0
+y
+3.e5
+1.e15
+
+none
+0.0
+0.001
+10425
+flat
+y
+3.e5
+bilball
+0.0
+0.001
+isotherm
+120.
+t=profile
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/traceur.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/traceur.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/traceur.def	(revision 1254)
@@ -0,0 +1,2 @@
+0
+10 10 dummy
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/z2sig.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/PROTO_Saturn_Article/z2sig.def	(revision 1254)
@@ -0,0 +1,65 @@
+50.000
+1.0
+3.0
+8.0
+15.0
+25.0
+35.0
+47.0
+59.0
+71.0
+83.0
+95.0
+107.0
+119.0
+131.0
+143.0
+155.0
+167.0
+179.0
+191.0
+203.0
+215.0
+227.0
+239.0
+251.0
+263.0
+275.0
+287.0
+299.0
+311.0
+323.0
+335.0
+347.0
+359.0
+371.0
+383.0
+395.0
+407.0
+419.0
+431.0
+443.0
+455.0
+467.0
+479.0
+491.0
+503.0
+515.0
+527.0
+539.0
+551.0
+563.0
+575.0
+587.0
+599.0
+611.0
+623.0
+635.0
+647.0
+659.0
+671.0
+683.0
+695.0
+707.0
+719.0
+731.0
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/README.aymeric
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/README.aymeric	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/README.aymeric	(revision 1254)
@@ -0,0 +1,161 @@
+
+
+makelmdz_fcm -s 1 -d 64x48x64 -b 20x30 -arch GNOMEp -parallel mpi -p generic gcm
+makelmdz_fcm -s 1 -d 128x96x64 -b 20x30 -arch GNOMEp -parallel mpi -p generic gcm
+#####################################
+## REF SANDRINE
+makelmdz_fcm -cpp NODYN -s 1 -d 8x128x64 -b 20x30 -arch GNOMEp -parallel mpi -p generic gcm
+#####################################
+
+
+
+
+
+makelmdz_fcm -s 1 -d 64x48x64 -b 17x23 -arch GNOMEp -parallel mpi -p generic gcm
+
+test rings
+makelmdz_fcm -cpp NODYN -s 1 -d 8x48x32 -b 17x23 -arch GNOMEp -parallel mpi -p generic gcm
+makelmdz_fcm -cpp NODYN -s 1 -d 8x48x32 -b 20x30 -arch GNOMEp -parallel mpi -p generic gcm
+
+-----------------------------------
+
+
+DO NOT FORGET SCATTERERS (for first time compilation at least)
+
+-----------------------------------
+
+gnome
+tests
+makelmdz_fcm -s 1 -d 64x48x64 -b 17x23 -arch GNOMEp -parallel mpi -p generic gcm
+makelmdz_fcm -s 1 -d 128x96x64 -b 17x23 -arch GNOMEp -parallel mpi -p generic gcm
+makelmdz_fcm -s 1 -d 256x192x64 -b 17x23 -arch GNOMEp_large -parallel mpi -p generic gcm
+
+
+***** en parallele dans LMDZ.UNIVERSAL
+--> ciclad
+makelmdz_fcm -s 1 -d 64x48x26 -b 38x36 -arch CICLADifort -parallel mpi -p generic gcm
+makelmdz_fcm -s 1 -d 64x48x26 -b 38x36 -arch CICLADifort -parallel mpi -p generic -debug gcm
+--> gnome
+makelmdz_fcm -s 1 -d 128x96x26 -b 38x36 -arch GNOMEp -parallel mpi -p generic gcm
+
+**** sequentiel dans LMDZ.UNIVERSAL
+makelmdz_fcm -s 1 -d 64x48x26 -b 38x36 -arch CICLADifort-seq -p generic -debug gcm
+
+**** pour comparer avec LMDZ.GENERIC (compiler dans le dossier de simu avec le lien absolu)
+**** (attention il faut utiliser un traceur.def legerement different)
+/home/spiga/MODELES/LMDZ.GENERIC/makegcm -s 1 -d 64x48x20 -t 2 gcm
+**** ou plutot pour ne pas s'embeter avec les traceurs et regler peu de bandes
+/home/spiga/MODELES/LMDZ.GENERIC/makegcm -s 1 -d 64x48x20 -t 0 -s 1 -b 3x2 gcm
+**** (attention il faut utiliser un traceur.def legerement different)
+
+**** ETAT INITIAUX
+**** POUR LE MOMENT DANS LMDZ.GENERIC
+--> pour start2archive (pas sur qu'il faille encore NOTRAC)
+/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 64x48x20 -t 0 -debug -cpp NOTRAC start2archive > logcomp
+--> pour newstart
+/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 64x48x20 -t 0 newstart
+/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 128x96x20 -t 0 -debug -cpp NOTRAC newstart
+
+--------------------------------------------------
+FOR LARGE DOMAINS (sur gnome au dela de 256x192)
+1. recompile netcdf (see below)
+2. apply patches for large domains in LMDZ.GENERIC (this is for newstart)
+3. compile with -arch GNOMEp_large
+makelmdz_fcm -d 256x256x20 -arch GNOMEp_large -parallel mpi -p generic gcm
+--------------------------------------------------
+
+profiling
+ajouter -pg
+compiler lancer
+puis gprof executable > prof.out
+
+
+--------------------------------------------------
+NETCDF RECOMPILE FOR LARGE DOMAINS
+--------------------------------------------------
+
+
+>>> Prepare things for install:
+gunzip netcdf.tar.gz
+tar xf netcdf.tar
+cd netcdf-4.0.1
+
+export CPP="icc -E"
+export F77=ifort
+export FFLAGS="-O2 -ip -no-prec-div -mcmodel=large -shared-intel -fPIC"
+export F90=ifort
+export FCFLAGS="-O2 -ip -no-prec-div -mcmodel=large -shared-intel -fPIC"
+export CC=icc
+export CFLAGS="-O2 -ip -no-prec-div -mcmodel=large -shared-intel -fPIC"
+export CXX=icpc
+export CXXFLAGS="-O2 -ip -no-prec-div -mcmodel=large -shared-intel -fPIC"
+#export LDFLAGS="-mcmodel=large -shared-intel -fPIC"
+
+
+make clean
+
+./configure --prefix=/san/home/spiga/netcdf.4.0.1 --enable-shared > configure.log 2>&1
+
+>>> go for it !
+make > make.log 2>&1
+>>>> some warnings, but no errors
+>> Tests:
+make test > make_test.log 2>&1
+>>>> Everything seems OK
+
+make install > make_install.log 2>&1
+
+
+-Wl,-rpath -Wl,
+
+----------------------------------------------------------------------
+Libraries have been installed in:
+   /san/home/spiga/netcdf.4.0.1/lib
+
+If you ever happen to want to link against installed libraries
+in a given directory, LIBDIR, you must either use libtool, and
+specify the full pathname of the library, or use the `-LLIBDIR'
+flag during linking and do at least one of the following:
+   - add LIBDIR to the `LD_LIBRARY_PATH' environment variable
+     during execution
+   - add LIBDIR to the `LD_RUN_PATH' environment variable
+     during linking
+   - use the `-Wl,-rpath -Wl,LIBDIR' linker flag
+   - have your system administrator add LIBDIR to `/etc/ld.so.conf'
+
+See any operating system documentation about shared libraries for
+more information, such as the ld(1) and ld.so(8) manual pages.
+----------------------------------------------------------------------
+
+
+
+vieilles notes lorsqu'on etait avec LMDZ5 et pas LMDZ.COMMON
+
+faire descendre
+http://svn.lmd.jussieu.fr/LMDZ/LMDZ5/trunk
+
+svn co http://svn.lmd.jussieu.fr/LMDZ/LMDZ5/trunk LMDZ5
+
+cd LMDZ5/libf
+executer
+$MOD/LMDZ.GENERIC/libf/phystd/for_lmdz5/linkgen.sh
+
+
+faire generatedoth.sh dans phygeneric
+(ou alors modifier makelmdz_fcm)
+
+
+penser |  compiler IOIPSL voir dans LMDZ.COMMON
+puis modifier arch.path
+et compiler et c'est bon
+
+EN FAIT LE CICLAD IFORT EST AUSSI VALABLE SUR LES MACHINES DU LMD
+mais IL FAUT ENLEVER LES OPTIONS APRES NC_DOUBLE
+
+makelmdz_fcm -d 48x36x19 -arch CICLADifort -parallel mpi -p dev gcm > log_makelmdz_fcm &
+ou pas dev
+makelmdz_fcm -d 48x36x19 -arch CICLADifort -parallel mpi -p dev gcm
+makelmdz_fcm -d 128x96x20 -arch GNOMEp -parallel mpi -p generic gcm
+
+pour initialisation idealisee, qqch comme iniaqua dans phyaqua ???
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/strato.saturn_start
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/strato.saturn_start	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/strato.saturn_start	(revision 1254)
@@ -0,0 +1,38 @@
+0
+y
+66000
+100000000
+rad
+6.027e7
+daysec
+38340
+omeg
+1.6388e-4
+g
+10.44
+mugaz
+2.14
+rcp
+0.2857
+year_day
+24281
+periastr
+9.0206
+apoastr
+10.0535
+peri_day
+170.
+obliquit
+26.73
+
+surface.nc
+10120
+flat
+y
+66000
+bilball
+0.0
+0.001
+isotherm
+120.
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/strato.z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/strato.z2sig.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/strato.z2sig.def	(revision 1254)
@@ -0,0 +1,30 @@
+50.000
+1.0
+3.0
+8.0
+15.0
+30.0
+55.0
+80.0
+110.0
+140.0
+170.0 
+200.0 
+230.0
+260.0
+270.0 
+300.0
+330.0
+360.0
+390.0 
+420.0 
+450.0
+480.0
+510.0
+540.0
+570.0
+600.0
+630.0
+660.0
+690.0
+720.0
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.compile
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.compile	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.compile	(revision 1254)
@@ -0,0 +1,3 @@
+#! /bin/bash
+
+/san/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 64x48x64 -t 0 newstart
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.saturn_start
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.saturn_start	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.saturn_start	(revision 1254)
@@ -0,0 +1,37 @@
+0
+y
+1.e6
+1.e15
+rad
+60.268e6
+daysec
+38052.
+omeg
+1.65121e-4
+g
+10.44
+year_day
+24430.
+periastr
+9.02152
+apoastr
+10.05448
+peri_day
+19280.
+obliquit
+26.73
+
+none
+0.0
+0.001
+10120
+flat
+y
+1.e6
+bilball
+0.0
+0.001
+isotherm
+120.
+t=profile
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.z2sig.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato.z2sig.def	(revision 1254)
@@ -0,0 +1,33 @@
+50.000
+25.0
+50.0
+75.0
+100.0
+125.0
+150.0
+175.0
+200.0
+225.0
+250.0
+275.0
+300.0
+325.0
+350.0
+375.0
+400.0
+425.0
+450.0
+475.0
+500.0
+525.0
+550.0
+575.0
+600.0
+625.0
+650.0
+675.0
+700.0
+725.0
+750.0
+775.0
+800.0
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.compile
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.compile	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.compile	(revision 1254)
@@ -0,0 +1,3 @@
+#! /bin/bash
+
+/san/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 128x96x64 -t 0 newstart
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.run.def.zoom
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.run.def.zoom	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.run.def.zoom	(revision 1254)
@@ -0,0 +1,269 @@
+
+#########
+######### THIS IS INTENDED TO WORK BOTH WITH LMDZ.GENERIC + old LMDZ core
+#########                                AND LMDZ.GENERIC + new LMDZ core
+#########
+
+### A INCLURE ?
+## calend=venus  ## calendrier specifique
+## resetvarc=n   ## reinit des variables de controle
+## iflag_trac=0  ## avec ou sans traceurs
+
+################################################################
+#### LMDZ5
+#### IN GCM.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## period appel a la dissipation (multiple iperiod, 0 si calcul automatique)
+## (remplace ce qui etait idissip dans l'ancienne dynamique)
+dissip_period = 0
+dissip_period = 2 
+dissip_period = 5
+
+## avec ou sans physique
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=2
+iflag_phys=1 
+
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique)
+read_start=n
+read_start=y 
+
+##  Avec ou sans strato // i.e. Couche eponge et second palier pour dissip horizontale
+ok_strato=n
+
+### Dissipation horizontale
+dissip_fac_mid=1. # for no var dissip (see inidissip)
+dissip_fac_up=1. # for no var dissip (see inidissip)
+
+dissip_fac_mid=2.
+dissip_fac_up=4.
+
+## deltaz et hdelta en km
+#dissip_deltaz=10.
+#dissip_hdelta=5.
+## pupstart en Pa
+#dissip_pupstart=1.e3
+
+########################################
+## LMDZ.COMMON
+## iflag_top_bound=0 for no sponge
+## iflag_top_bound=1 for sponge over 4 topmost layers
+## iflag_top_bound=2 for sponge from top to ~1% of top layer pressure
+iflag_top_bound=0
+iflag_top_bound=2
+iflag_top_bound=1
+## Mode Couche eponge
+##   mode = 0 : pas de sponge
+##   mode = 1 : u et v -> 0
+##   mode = 2 : u et v -> moyenne zonale
+##   mode = 3 : u, v et h -> moyenne zonale
+mode_top_bound=0
+mode_top_bound=2
+mode_top_bound=1
+#######################################
+
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=1.e-5
+#tau_top_bound=5.e-5
+#tau_top_bound=1.e-4
+
+################################################################
+#### LMDZ5
+#### IN RUN.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## Type de calendrier utilise
+## valeur possible: earth_360d (defaut), earth_365d, earth_366d
+ip_ebil_phy=1
+ip_ebil_dyn=1
+calend=earth_360d
+
+### Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+#dayref=10120
+###  Annee de l'etat  initial (   avec  4  chiffres   )
+#anneeref=2000
+
+## Remise a zero de la date initiale
+raz_date=0
+### for restart runs
+
+## flag de sortie dynzon
+ok_dynzon=n
+## activation du calcul d equilibrage de charge
+adjust=n
+## activation du filtre fft
+use_filtre_fft=n
+## niveau d'impression de controle
+prt_level=10
+prt_level=1
+
+## coordonnees type planeto
+disvert_type = 2
+
+## the generic physics
+planet_type = generic
+
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+#ok_dyn_ins=y
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri=30
+iecri=120
+iecri=480
+#iecri=4800
+#iecri=9600
+
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique (en jours)
+periodav=1
+
+
+ok_guide = y
+facwind = 5.e7
+##facwind = 1.e6
+#facwind = 2.e7
+
+#################################
+#### AND NOW THE OLD run.def ####
+#################################
+## -----> REMOVED
+## was present and conflicting with LMDZ5
+## (although useless in old OLD LMDz DYN CORE
+## - iecri [periode d'ecriture du fichier histoire (en jour)]
+## - periodav [periode de stockage fichier histmoy (en jour) dynzon?]
+#################################
+#################################
+
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday = 720
+     nday = 20
+     nday = 100
+     nday = 1800
+     nday = 250000
+     nday = 65000
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+# day_step = 25
+# day_step = 50
+day_step = 70
+day_step = 140
+#day_step = 280
+# day_step = 560
+# day_step = 240
+# day_step = 480
+# day_step = 960
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode de la dissipation (en pas)                                    
+# -- this is ignored by LMDZ5 which rely on dissip_period instead
+  idissip=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true. 
+
+# avec ou sans coordonnee hybrides
+ hybrid=.false. # calculs 1D sandrine #.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=2700. 5400. 7200. 3600. 8000. 160000. 8000. 1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=3600. 7200. 10800. 5400. 8000. 160000. 8000. 1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=3600. 7200. 10800. 5400. 8000. 160000. 8000. 1000. 2500. 4000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false. 
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas) (en pas dynamiques, n'a de sens que si iflag_phys=1)                                      
+  iphysiq=5
+  iphysiq=7
+#  iphysiq=1
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+  ecritphy=500
+  ecritphy=7000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1. 1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=4. 2.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+  fxyhypb=.true.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.2 0.3
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy= 0.2 0.3
+
+#  raideur du zoom en  X
+    taux=6. 3.
+
+#  raideur du zoom en  Y
+    tauy=6. 3.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+  ysinus= .true.
+
+###################### SPONGE LAYER IN OLD DYNAMICS
+###################### -- this is ignored by LMDZ5 !!! NO LONGER !!!
+## Avec sponge layer
+#  callsponge  = .true.
+## Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+#  mode_sponge= 2
+## Sponge:  hauteur de sponge (km)
+#  hsponge= 50
+## Sponge:  tetasponge (secondes)
+#  tetasponge = 50000
+####################### 
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.z2sig.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/archives/tropostrato_128x96x64.z2sig.def	(revision 1254)
@@ -0,0 +1,65 @@
+50.000
+12.5
+25.0
+37.5
+50.0
+62.5
+75.0
+87.5
+100.0
+112.5
+125.0
+137.5
+150.0
+162.5
+175.0
+187.5
+200.0
+212.5
+225.0
+237.5
+250.0
+262.5
+275.0
+287.5
+300.0
+312.5
+325.0
+337.5
+350.0
+362.5
+375.0
+387.5
+400.0
+412.5
+425.0
+437.5
+450.0
+462.5
+475.0
+487.5
+500.0
+512.5
+525.0
+537.5
+550.0
+562.5
+575.0
+587.5
+600.0
+612.5
+625.0
+637.5
+650.0
+662.5
+675.0
+687.5
+700.0
+712.5
+725.0
+737.5
+750.0
+762.5
+775.0
+787.5
+800.0
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/callphys.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/callphys.def	(revision 1254)
@@ -0,0 +1,172 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match=.false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir     = /san/home/spiga/DATAGENERIC
+datadir     = /home/spiga/datagcm
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 6
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .false.
+# folder in which correlated-k data is stored ?
+corrkdir   = null
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .false.
+# Uniform absorption coefficient in radiative transfer?
+graybody     = .true.
+# Constant absorption coefficient in visible 
+#      (in m^2/kg; only if graybody=true):
+#      tau_surf= kappa*P/g
+kappa_VI = 5.e-5
+kappa_VI = 1.e-20
+# Constant absorption coefficient in IR
+#      (in m^2/kg; only if graybody=true):
+kappa_IR = 1.e-4
+kappa_IR = 1.e-5
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 215.
+# Output spectral OLR in 3D?
+specOLR    = .false. 
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .false.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .false.
+# Remove lower boundary (e.g. for gas giant sims)
+noradsurf    = .false. 
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true.
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Radiatively active CO2 aerosol?
+aeroco2       = .false.
+# Fixed CO2 aerosol distribution?
+aerofixco2    = .false.
+# Radiatively active water aerosol?
+aeroh2o       = .false.
+# Fixed water aerosol distribution?
+aerofixh2o    = .false.
+# basic dust opacity
+dusttau       = 0.0
+# Varying H2O cloud fraction?
+CLFvarying    = .true. 
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.5
+# fixed radii for cloud particles?
+radfixed=.false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
+# WATER: hydrology ?
+hydrology     = .false.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness ?
+maxicethick   = 10.
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# gas is non-ideal CO2 ?
+nonideal      = .false.
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/diagfi.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/diagfi.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/diagfi.def	(revision 1254)
@@ -0,0 +1,10 @@
+tsurf
+ps
+temp
+u
+v
+ISR
+ASR
+OLR
+GND
+DYN
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/gases.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/gases.def	(revision 1254)
@@ -0,0 +1,9 @@
+# gases
+1
+H2_
+1.0
+
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then mixing ratios.
+# mixing ratio -1 means the gas is variable.
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/launch_lmdz.generic
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/launch_lmdz.generic	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/launch_lmdz.generic	(revision 1254)
@@ -0,0 +1,9 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  LMDZ.GENERIC
+
+####### prep run
+cd $PBS_O_WORKDIR
+ulimit -s unlimited
+gcm.e > log
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/launch_lmdz5para
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/launch_lmdz5para	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/launch_lmdz5para	(revision 1254)
@@ -0,0 +1,11 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  LMDZ5_PARA16
+#PBS -l "nodes=1:ppn=16"
+##PBS -l "mem=64gb"
+
+####### prep run
+cd $PBS_O_WORKDIR
+ulimit -s unlimited
+mpirun gcm.e > log
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/run.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/run.def	(revision 1254)
@@ -0,0 +1,249 @@
+
+#########
+######### THIS IS INTENDED TO WORK BOTH WITH LMDZ.GENERIC + old LMDZ core
+#########                                AND LMDZ.GENERIC + new LMDZ core
+#########
+
+### A INCLURE ?
+## calend=venus  ## calendrier specifique
+## resetvarc=n   ## reinit des variables de controle
+## iflag_trac=0  ## avec ou sans traceurs
+
+################################################################
+#### LMDZ5
+#### IN GCM.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## period appel a la dissipation (multiple iperiod, 0 si calcul automatique)
+## (remplace ce qui etait idissip dans l'ancienne dynamique)
+dissip_period = 0
+dissip_period = 2 
+dissip_period = 5
+
+## avec ou sans physique
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=2
+iflag_phys=1 
+
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique)
+read_start=n
+read_start=y 
+
+##  Avec ou sans strato // i.e. Couche eponge et second palier pour dissip horizontale
+ok_strato=n
+
+### Dissipation horizontale
+#dissip_fac_mid=2.
+#dissip_fac_up=2.
+## deltaz et hdelta en km
+#dissip_deltaz=10.
+#dissip_hdelta=5.
+## pupstart en Pa
+#dissip_pupstart=1.e3
+
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=0
+
+########################################
+## LMDZ.COMMON
+##    1: dans les 4 derniers niveaux
+##    2: dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+#iflag_top_bound=1
+## Mode Couche eponge
+##   mode = 0 : pas de sponge
+##   mode = 1 : u et v -> 0
+##   mode = 2 : u et v -> moyenne zonale
+##   mode = 3 : u, v et h -> moyenne zonale
+#mode_top_bound=1
+#######################################
+
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=1.e-5
+tau_top_bound=5.e-5
+
+################################################################
+#### LMDZ5
+#### IN RUN.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## Type de calendrier utilise
+## valeur possible: earth_360d (defaut), earth_365d, earth_366d
+ip_ebil_phy=1
+ip_ebil_dyn=1
+calend=earth_360d
+
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=10120
+#dayref=40
+
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=2000
+
+## Remise a zero de la date initiale
+## =1 is necessary for generic physics
+raz_date=1
+
+## flag de sortie dynzon
+ok_dynzon=n
+## activation du calcul d equilibrage de charge
+adjust=n
+## activation du filtre fft
+use_filtre_fft=n
+## niveau d'impression de controle
+prt_level=10
+
+## coordonnees type planeto
+disvert_type = 2
+
+## the generic physics
+planet_type = generic
+
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+#ok_dyn_ins=y
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri=30
+iecri=120
+iecri=480
+#iecri=4800
+#iecri=9600
+
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique (en jours)
+periodav=1
+
+
+#################################
+#### AND NOW THE OLD run.def ####
+#################################
+## -----> REMOVED
+## was present and conflicting with LMDZ5
+## (although useless in old OLD LMDz DYN CORE
+## - iecri [periode d'ecriture du fichier histoire (en jour)]
+## - periodav [periode de stockage fichier histmoy (en jour) dynzon?]
+#################################
+#################################
+
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday = 720
+#     nday = 20
+#     nday = 100
+#     nday = 1800
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+ day_step = 240
+# day_step = 480
+# day_step = 960
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode de la dissipation (en pas)                                    
+# -- this is ignored by LMDZ5 which rely on dissip_period instead
+  idissip=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true. 
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=2500. 4000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false. 
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas) (en pas dynamiques, n'a de sens que si iflag_phys=1)                                      
+  iphysiq=5
+#  iphysiq=1
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+  ecritphy=480
+#  ecritphy=60
+#  ecritphy=45
+#  ecritphy=50000000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+###################### SPONGE LAYER IN OLD DYNAMICS
+###################### -- this is ignored by LMDZ5
+# Avec sponge layer
+  callsponge  = .true.
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+# Sponge:  hauteur de sponge (km)
+  hsponge= 50
+# Sponge:  tetasponge (secondes)
+  tetasponge = 50000
+###################### 
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/run.def.128.96
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/run.def.128.96	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/run.def.128.96	(revision 1254)
@@ -0,0 +1,249 @@
+
+#########
+######### THIS IS INTENDED TO WORK BOTH WITH LMDZ.GENERIC + old LMDZ core
+#########                                AND LMDZ.GENERIC + new LMDZ core
+#########
+
+### A INCLURE ?
+## calend=venus  ## calendrier specifique
+## resetvarc=n   ## reinit des variables de controle
+## iflag_trac=0  ## avec ou sans traceurs
+
+################################################################
+#### LMDZ5
+#### IN GCM.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## period appel a la dissipation (multiple iperiod, 0 si calcul automatique)
+## (remplace ce qui etait idissip dans l'ancienne dynamique)
+dissip_period = 0
+dissip_period = 2 
+dissip_period = 5
+
+## avec ou sans physique
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=2
+iflag_phys=1 
+
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique)
+read_start=n
+read_start=y 
+
+##  Avec ou sans strato // i.e. Couche eponge et second palier pour dissip horizontale
+ok_strato=n
+
+### Dissipation horizontale
+#dissip_fac_mid=2.
+#dissip_fac_up=2.
+## deltaz et hdelta en km
+#dissip_deltaz=10.
+#dissip_hdelta=5.
+## pupstart en Pa
+#dissip_pupstart=1.e3
+
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=0
+
+########################################
+## LMDZ.COMMON
+##    1: dans les 4 derniers niveaux
+##    2: dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+#iflag_top_bound=1
+## Mode Couche eponge
+##   mode = 0 : pas de sponge
+##   mode = 1 : u et v -> 0
+##   mode = 2 : u et v -> moyenne zonale
+##   mode = 3 : u, v et h -> moyenne zonale
+#mode_top_bound=1
+#######################################
+
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=1.e-5
+tau_top_bound=5.e-5
+
+################################################################
+#### LMDZ5
+#### IN RUN.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## Type de calendrier utilise
+## valeur possible: earth_360d (defaut), earth_365d, earth_366d
+ip_ebil_phy=1
+ip_ebil_dyn=1
+calend=earth_360d
+
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=10120
+dayref=40
+
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=2000
+
+## Remise a zero de la date initiale
+## =1 is necessary for generic physics
+raz_date=1
+
+## flag de sortie dynzon
+ok_dynzon=n
+## activation du calcul d equilibrage de charge
+adjust=n
+## activation du filtre fft
+use_filtre_fft=n
+## niveau d'impression de controle
+prt_level=10
+
+## coordonnees type planeto
+disvert_type = 2
+
+## the generic physics
+planet_type = generic
+
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+ok_dyn_ins=y
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri=30
+iecri=120
+iecri=480
+iecri=4800
+#iecri=9600
+
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique (en jours)
+periodav=1
+
+
+#################################
+#### AND NOW THE OLD run.def ####
+#################################
+## -----> REMOVED
+## was present and conflicting with LMDZ5
+## (although useless in old OLD LMDz DYN CORE
+## - iecri [periode d'ecriture du fichier histoire (en jour)]
+## - periodav [periode de stockage fichier histmoy (en jour) dynzon?]
+#################################
+#################################
+
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday = 720
+     nday = 20
+     nday = 100
+     nday = 1800
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+ day_step = 240
+ day_step = 480
+# day_step = 960
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode de la dissipation (en pas)                                    
+# -- this is ignored by LMDZ5 which rely on dissip_period instead
+  idissip=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true. 
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=1000. 2500. 4000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false. 
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas) (en pas dynamiques, n'a de sens que si iflag_phys=1)                                      
+  iphysiq=5
+#  iphysiq=1
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+  ecritphy=480
+#  ecritphy=60
+#  ecritphy=45
+#  ecritphy=50000000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+###################### SPONGE LAYER IN OLD DYNAMICS
+###################### -- this is ignored by LMDZ5
+# Avec sponge layer
+  callsponge  = .true.
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+# Sponge:  hauteur de sponge (km)
+  hsponge= 50
+# Sponge:  tetasponge (secondes)
+  tetasponge = 50000
+###################### 
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/start_gray.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/start_gray.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/start_gray.def	(revision 1254)
@@ -0,0 +1,18 @@
+0
+n
+
+surface_mars.nc
+40
+flat
+y
+1.e5
+bilball
+0.3
+500
+q=0
+isotherm
+283.
+emis
+1
+
+hghg
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/traceur.def.LMDZ5
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/traceur.def.LMDZ5	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/traceur.def.LMDZ5	(revision 1254)
@@ -0,0 +1,2 @@
+0
+10 10 dummy
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/traceur.def.LMDZGENERIC
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/traceur.def.LMDZGENERIC	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/traceur.def.LMDZGENERIC	(revision 1254)
@@ -0,0 +1,2 @@
+0
+dummy
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/z2sig.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/gray_lmdz.generic_lmdz5/z2sig.def	(revision 1254)
@@ -0,0 +1,1 @@
+link ../z2sig.earth
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.ciclad
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.ciclad	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.ciclad	(revision 1254)
@@ -0,0 +1,13 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  LMDZ.UNIVERSAL
+#PBS -l "nodes=1:ppn=16"
+##PBS -l "mem=64gb"
+
+####### prep run
+mv $PBS_O_WORKDIR/CURRENT_RUN $PBS_O_WORKDIR/PREVIOUS_RUN
+cp -rf $PBS_O_WORKDIR/PROTO $PBS_O_WORKDIR/CURRENT_RUN
+cd $PBS_O_WORKDIR/CURRENT_RUN
+ulimit -s unlimited
+mpirun gcm.e > log
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome	(revision 1254)
@@ -0,0 +1,38 @@
+#######################################################################
+####################################################################### nom
+# @ job_name		=	LMDZ_UNIVERSAL
+####################################################################### MPICH / serial 
+# @ job_type            =       MPICH
+####################################################################### 8 / 16 / 20 / 32 / 64
+# @ total_tasks         =       16		
+####################################################################### A / B / C / AP / BP / CP / PP
+# @ class               =       PP		
+####################################################################### 24gb (cf. llps pendant fonctionnement)
+# @ resources 		= 	ConsumableCpus(1)ConsumableMemory(3000mb)  
+####################################################################### real ou ideal ???
+# @ environment         =       tmpdir=$(job_name).$(jobid) ; para=$(job_type)
+#######################################################################
+
+#######################################################################
+#######################################################################
+# @ output 		= 	$(job_name).$(jobid)/LOG
+# @ error 		= 	$(output)
+# @ blocking 		= 	unlimited
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+#######################################################################
+cp -rf PROTO/* $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR
+\rm zeLAST
+ln -sf ${tmpdir} zeLAST
+cd zeLAST 
+#######################################################################
+if [[ "${para}" == "MPICH" ]]
+then
+   mpirun gcm.e
+else
+   gcm.e
+fi
+#######################################################################
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.128x96x64
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.128x96x64	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.128x96x64	(revision 1254)
@@ -0,0 +1,38 @@
+#######################################################################
+####################################################################### nom
+# @ job_name		=	LMDZ_UNIVERSAL
+####################################################################### MPICH / serial 
+# @ job_type            =       MPICH
+####################################################################### 8 / 16 / 20 / 32 / 64
+# @ total_tasks         =       32		
+####################################################################### A / B / C / AP / BP / CP / PP
+# @ class               =       CP		
+####################################################################### 24gb (cf. llps pendant fonctionnement)
+# @ resources 		= 	ConsumableCpus(1)ConsumableMemory(2000mb)  
+####################################################################### real ou ideal ???
+# @ environment         =       tmpdir=$(job_name).$(jobid) ; para=$(job_type)
+#######################################################################
+
+#######################################################################
+#######################################################################
+# @ output 		= 	$(job_name).$(jobid)/LOG
+# @ error 		= 	$(output)
+# @ blocking 		= 	unlimited
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+#######################################################################
+cp -rf PROTO/* $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR
+\rm zeLAST
+ln -sf ${tmpdir} zeLAST
+cd zeLAST 
+#######################################################################
+if [[ "${para}" == "MPICH" ]]
+then
+   mpirun gcm.e
+else
+   gcm.e
+fi
+#######################################################################
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.64x48x64
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.64x48x64	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.64x48x64	(revision 1254)
@@ -0,0 +1,38 @@
+#######################################################################
+####################################################################### nom
+# @ job_name		=	LMDZ_UNIVERSAL
+####################################################################### MPICH / serial 
+# @ job_type            =       MPICH
+####################################################################### 8 / 16 / 20 / 32 / 64
+# @ total_tasks         =       16		
+####################################################################### A / B / C / AP / BP / CP / PP
+# @ class               =       BP		
+####################################################################### 24gb (cf. llps pendant fonctionnement)
+# @ resources 		= 	ConsumableCpus(1)ConsumableMemory(1500mb)  
+####################################################################### real ou ideal ???
+# @ environment         =       tmpdir=$(job_name).$(jobid) ; para=$(job_type)
+#######################################################################
+
+#######################################################################
+#######################################################################
+# @ output 		= 	$(job_name).$(jobid)/LOG
+# @ error 		= 	$(output)
+# @ blocking 		= 	unlimited
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+#######################################################################
+cp -rf PROTO/* $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR
+\rm zeLAST
+ln -sf ${tmpdir} zeLAST
+cd zeLAST 
+#######################################################################
+if [[ "${para}" == "MPICH" ]]
+then
+   mpirun gcm.e
+else
+   gcm.e
+fi
+#######################################################################
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.experimental.256x192x64
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.experimental.256x192x64	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/launch.gnome.experimental.256x192x64	(revision 1254)
@@ -0,0 +1,39 @@
+#######################################################################
+####################################################################### nom
+# @ job_name		=	LMDZ_UNIVERSAL
+####################################################################### MPICH / serial 
+# @ job_type            =       MPICH
+####################################################################### 8 / 16 / 20 / 32 / 64
+# @ total_tasks         =       64		
+####################################################################### A / B / C / AP / BP / CP
+# @ class               =       CP		
+####################################################################### 24gb (cf. llps pendant fonctionnement)
+# @ as_limit            =       4501mb,4500mb
+#-@ resources           =       ConsumableCpus(1)ConsumableMemory(4500mb)  
+####################################################################### real ou ideal ???
+# @ environment         =       tmpdir=$(job_name).$(jobid) ; para=$(job_type)
+#######################################################################
+
+#######################################################################
+#######################################################################
+# @ output 		= 	$(job_name).$(jobid)/LOG
+# @ error 		= 	$(output)
+# @ blocking 		= 	unlimited
+# @ notification 	= 	never
+# @ queue
+grep "^# @" $0
+set -vx
+#######################################################################
+cp -rf PROTO/* $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR
+\rm zeLAST
+ln -sf ${tmpdir} zeLAST
+cd zeLAST 
+#######################################################################
+if [[ "${para}" == "MPICH" ]]
+then
+   mpirun gcm.e
+else
+   gcm.e
+fi
+#######################################################################
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/linkgen.sh
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/linkgen.sh	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/linkgen.sh	(revision 1254)
@@ -0,0 +1,43 @@
+#! /bin/bash
+
+wheregen=$MOD/LMDZ.GENERIC/
+
+mkdir phygeneric
+cd phygeneric
+
+mkdir bands
+cd bands
+ln -sf $wheregen/libf/grid/dimension/makbands .
+cd ..
+
+
+ln -sf $wheregen/libf/phystd/* .
+\rm for_lmdz5
+\rm ismin*
+\rm ismax*
+\rm rcm1d*
+\rm kcm1d*
+
+ln -sf $wheregen/libf/bibio/cbrt.F .
+ln -sf $wheregen/libf/bibio/lmdstd.h .
+
+ln -sf $wheregen/libf/dyn3d/control.h .
+
+ln -sf $wheregen/libf/phystd/for_lmdz5/generatedoth.sh .
+ln -sf $wheregen/libf/phystd/for_lmdz5/iniphysiq.F . 
+ln -sf $wheregen/libf/phystd/for_lmdz5/dimphys.h .
+
+ln -sf ../phylmd/comgeomphy.F90 .
+ln -sf ../phylmd/dimphy.F90 .
+ln -sf ../phylmd/init_phys_lmdz.F90 .
+ln -sf ../phylmd/iophy.F90 .
+ln -sf ../phylmd/iostart.F90 .
+ln -sf ../phylmd/mod_grid_phy_lmdz.F90 .
+ln -sf ../phylmd/mod_phys_lmdz_mpi_data.F90 .
+ln -sf ../phylmd/mod_phys_lmdz_mpi_transfert.F90 .
+ln -sf ../phylmd/mod_phys_lmdz_omp_data.F90 .
+ln -sf ../phylmd/mod_phys_lmdz_omp_transfert.F90 .
+ln -sf ../phylmd/mod_phys_lmdz_para.F90 .
+ln -sf ../phylmd/mod_phys_lmdz_transfert_para.F90 .
+ln -sf ../phylmd/tetalevel.F .
+ln -sf ../phylmd/write_field_phy.F90 .
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/compile_command
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/compile_command	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/compile_command	(revision 1254)
@@ -0,0 +1,22 @@
+
+GNOMEp pour parallle avec FFT
+GNOMEs pour sequentiel sans FFT
+
+
+makelmdz_fcm -arch GNOME -parallel mpi -d 256x128x30 gcm
+
+makelmdz_fcm -arch GNOME -parallel mpi -d 320x480x15 gcm
+...pb relocation fit
+
+
+makelmdz_fcm -arch AMD64_CICLAD -parallel mpi -d 80x120x15 -p lmd gcm
+
+
+makelmdz_fcm -arch AMD64_CICLAD -dev -parallel mpi -d 80x120x15 gcm
+
+
+
+
+---- test
+makelmdz_fcm -arch GNOME -d 32x24x11 gcm > makelmdz_fcm_seq.out 2>&1
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/gcm.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/gcm.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/gcm.def	(revision 1254)
@@ -0,0 +1,45 @@
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=1428
+#day_step=714
+##714 fonctionne aussi et est divisible par 6
+## periode pour le pas Matsuno (en pas)
+iperiod=6
+## periode de la dissipation (en pas) ! OBSOLETE , calcule automatiquement
+##idissip=6
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=1
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=1800.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=2700.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=2700.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique  (0: pas de physique 1: phylmd,... 2: rappel newtonien)                           
+iflag_phys=2
+## démarrage depuis un fichier start (y) ou initialisation "académique" (n)
+read_start=n
+## periode de la physique (en pas) -- il faut que ca divise les pas de temps                                       
+iphysiq=1
+## longitude en degres du centre du zoom                                 
+clon= 0.
+clat= 10.
+grossismx=1.
+grossismy=1.
+dzoomx=0.2
+dzoomy=0.15
+taux=15
+tauy=15
+### filtre FFT -- car pas de fft sur ciclad
+use_filtre_fft=n
+##  Avec ou sans strato (sponge layer)
+ok_strato=n
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/job_mpi8_omp8
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/job_mpi8_omp8	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/job_mpi8_omp8	(revision 1254)
@@ -0,0 +1,45 @@
+# Exemple de job pour soumission en MPI en classe debug
+# pour soumettre ce job: llsubmit nom_du_job
+# @ job_type = parallel
+### @ class = debug
+# @ wall_clock_limit = 2:00:00
+# @ cpu_limit = 1:58:00
+# Memoire max. utilisee (ici 3.2 Go) # rappel: prendre data+stack <=3.7gb
+# @ data_limit = 20.8gb
+# @ stack_limit=8.8gb,8.8gb
+# Nombre de processus demandés:
+# @ total_tasks = 8
+# Nombre de tâches OpenMP/pthreads par processus MPI
+# @ parallel_threads = 8
+# Nom du travail LoadLeveler
+# @ job_name   = job_mpi8_omp8
+# Fichier de sortie standard du travail       
+# @ output     = $(job_name).$(jobid)
+# Fichier de sortie d'erreur du travail
+# @ error      =  $(job_name).$(jobid)
+# @ notification = error
+# @ queue                   
+
+# Pour avoir l'echo des commandes
+set -x
+pwd
+ls -A
+
+# La memoire STACK max. (defaut 4Mo) utilisee (ici 64 Mo) par
+# les variables privees de chaque thread.
+#export XLSMPOPTS=$XLSMPOPTS:stack=65536000
+## 128 Mo
+#export XLSMPOPTS=$XLSMPOPTS:stack=131072000
+## 256 Mo
+#export XLSMPOPTS=$XLSMPOPTS:stack=262144000
+## 512 Mo
+#export XLSMPOPTS=$XLSMPOPTS:stack=524288000
+## 1024 Mo
+export XLSMPOPTS=$XLSMPOPTS:stack=1048576000
+## 1536 Mo
+#export XLSMPOPTS=$XLSMPOPTS:stack=1572864000
+
+# Execution du programme
+hpmcount ./gcm_320x640x30_phynophys_para.e > gcm.out 2>&1
+
+ls -At
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/launch
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/launch	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/launch	(revision 1254)
@@ -0,0 +1,55 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+##PBS -q  std
+##PBS -q  short
+#PBS -N  JUPITER 
+#PBS -l "nodes=1:ppn=8"
+#PBS -l "mem=16gb"
+##PBS -l "nodes=2:ppn=8"
+##PBS -l "nodes=2:ppn=12"
+##PBS -l "nodes=1:ppn=12"
+##PBS -l "nodes=1:ppn=2"
+##PBS -l "nodes=2:ppn=4"
+##PBS -l "nodes=1:ppn=12"
+
+##PBS -l walltime=10:30,mem=320kb
+
+######## openMP threads
+#cat $PBS_NODEFILE | sort | uniq > /tmp/coucou
+#cat /tmp/coucou
+#declare -x OMP_NUM_THREADS=4
+#declare -x MP_STACK_SIZE=64000000
+
+####### prep run
+cd $PBS_O_WORKDIR
+#\rm  *rsl.* 2>  /dev/null
+#\rm  wrfo*  2>  /dev/null
+#\rm  wrfi*  2>  /dev/null
+#./ideal.exe
+#mv rsl.out.0000 ideal_rsl.out.0000
+
+####### run
+#mpirun yeye
+#mpirun wrf.exe
+
+ulimit -s unlimited
+
+##mpirun gcm_80x120x15_phylmd_para.e 
+#mpirun gcm_48x36x19_phynophys_para.e
+##mpirun gcm_160x240x15_phylmd_para.e
+
+mpirun gcm_80x120x15_phynophys_para.e
+
+################
+
+###PBS -l "nodes=2:ppn=8"
+
+#declare -x OMP_NUM_THREADS=4
+#declare -x MP_STACK_SIZE=64000000
+
+#mpirun wrf.exe 
+
+####PBS -m ae
+####PBS -M spiga@lmd.jussieu.fr
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/launch.giant
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/launch.giant	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/launch.giant	(revision 1254)
@@ -0,0 +1,20 @@
+# @ job_name=JUPITER
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = MPICH
+# @ total_tasks =32
+# @ blocking = unlimited
+# @ class =AP
+# @ environment=tmpdir=$(home)/$(job_name).$(jobid).results
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir ${tmpdir}
+cp /san/home/spiga/trunk/deftanks/giant/* ${tmpdir} 
+#cp /san/home/spiga/trunk/bin/gcm_80x120x15_phylmd_para.e ${tmpdir}/gcm.e
+cp /san/home/spiga/trunk/bin/gcm_180x360x10_phylmd_para.e ${tmpdir}/gcm.e
+####################################################################
+cd ${tmpdir}
+mpirun gcm.e
+####################################################################
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/newtonian.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/newtonian.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/newtonian.def	(revision 1254)
@@ -0,0 +1,67 @@
+#          ok_geost=.TRUE.
+ok_geost=.FALSE.
+#          ! Constants for Newtonian relaxation and friction
+#          k_f=1.                !friction 
+#          k_f=1./(daysec*k_f)
+#k_f=48.
+#k_f=480. >>> low jets
+#k_f=20.
+k_f=48.
+#          k_c_s=4.  !cooling surface
+#          k_c_s=1./(daysec*k_c_s)
+#k_c_s=920.
+#k_c_s=4. pas trop petit....
+#k_c_s=4.
+#k_c_s=300.          
+#k_c_s=4.
+k_c_s=920.
+#          k_c_a=40. !cooling free atm
+#          k_c_a=1./(daysec*k_c_a)
+#k_c_a=92.
+#k_c_a=4. pas trop petit....
+#k_c_a=300.
+#k_c_a=40.
+k_c_a=92.
+#          ! Constants for Teta equilibrium profile
+#          teta0=315.     ! mean Teta (S.H. 315K)
+#teta0=200.
+teta0=160.
+
+#          ttp=200.       ! Tropopause temperature (S.H. 200K)
+#ttp=100. theta ~ 400.
+#ttp=150.
+ttp=100.
+## voir fouchet
+### sinon 200. est OK avec dowling
+
+#          eps=0.         ! Deviation to N-S symmetry(~0-20K)
+#          delt_y=60.     ! Merid Temp. Gradient (S.H. 60K)
+#delt_y=10.
+### grosso modo en regardant schneider
+#delt_y=0.
+#delt_y=50.
+delt_y=60.
+eps=4.
+eps=8.
+
+#          delt_z=10.     ! Vertical Gradient (S.H. 10K)
+#delt_z=20.
+###2. trop faible ?? non car couche melangee
+delt_z=2.
+
+
+
+
+
+
+
+
+
+#          ! Polar vortex
+#          ok_pv=.false.
+#          phi_pv=-50.            ! Latitude of edge of vortex
+#          phi_pv=phi_pv*pi/180.
+#          dphi_pv=5.             ! Width of the edge
+#          dphi_pv=dphi_pv*pi/180.
+#          gam_pv=4.              ! -dT/dz vortex (in K/km)
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/planet.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/planet.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/planet.def	(revision 1254)
@@ -0,0 +1,44 @@
+## planet-specific constants
+#Reference surface pressure (Pa)
+preff=300000.
+# Reference pressure at which hybrid coord. become purely pressure
+# (default pa=preff/2.)
+# Gravity
+##g=26.
+g=8.
+# Molar mass of the atmosphere
+molmass = 2.3
+# kappa = R/Cp et Cp     (default 2./7.) 
+# (default cpp : 8.3145/molmass/kappa*1000.)
+# Radius of the planet
+###radius = 69.86e6
+##radius = 12.e6
+radius = 26e6
+# Length of a standard day (s)
+#daysec=35726.
+daysec= 35700.0
+# Length of a solar day, in standard days
+# (default: daylen = 1. )
+# Number of days (standard) per year:
+# year_day = 10476
+year_day=10484
+# Omega
+# default: omeg= 2.*pi/daysec*(1./daylen+1./year_day)
+
+### intrinsic heat flux ###
+#ihf=6.
+ihf=30.
+
+
+#CALL getin('preff', preff)
+#CALL getin('pa', pa)
+#CALL getin('g',g)
+#CALL getin('molmass',molmass)
+#CALL getin('kappa',kappa)
+#CALL getin('cpp',cpp)
+#CALL getin('radius',rad)
+#CALL getin('daysec',daysec)
+#CALL getin('daylen',daylen)
+#CALL getin('year_day',year_day)
+#CALL getin('omeg',omeg)
+
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/run.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/run.def	(revision 1254)
@@ -0,0 +1,35 @@
+#
+# Minimal run.def (for Newtonian cas)
+#
+## planet type (default is "earth")
+#planet_type = earth
+planet_type = giant
+#
+INCLUDEDEF=planet.def
+INCLUDEDEF=gcm.def
+INCLUDEDEF=newtonian.def
+#
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=1
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=1979
+## Nombre de jours d'integration
+#nday=10000
+nday=2000
+## Remise a zero de la date initiale
+raz_date=0
+## periode de sortie des variables de controle (en pas)
+iconser=10
+
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=y
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques) 238
+#iecri=714
+iecri=1428
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique
+periodav=1
+## flag de sortie dynzon
+ok_dynzon=n
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/traceur.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/traceur.def	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/old_tests_giants/traceur.def	(revision 1254)
@@ -0,0 +1,3 @@
+2
+0  0  yorgl
+0  0  bleurk
Index: trunk/LMDZ.GENERIC/deftank/def_generic_giants/z2sig.earth
===================================================================
--- trunk/LMDZ.GENERIC/deftank/def_generic_giants/z2sig.earth	(revision 1254)
+++ trunk/LMDZ.GENERIC/deftank/def_generic_giants/z2sig.earth	(revision 1254)
@@ -0,0 +1,1 @@
+link ../../LMDZ.GENERIC/deftank/z2sig.earth
Index: trunk/LMDZ.GENERIC/libf/phystd/watercommon_h.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/watercommon_h.F90	(revision 1252)
+++ trunk/LMDZ.GENERIC/libf/phystd/watercommon_h.F90	(revision 1254)
@@ -49,22 +49,22 @@
 ! JL12 variables for tetens formula
          real,parameter :: Pref_solid_liquid=611.14
-         real,parameter :: Trefvaporization=35.86
-         real,parameter :: Trefsublimation=7.66
+         real,parameter :: Trefvap=35.86
+         real,parameter :: Trefsub=7.66
          real,parameter :: Tmin=8.
-         real,parameter :: r3vaporization=17.269
-         real,parameter :: r3sublimation=21.875
+         real,parameter :: r3vap=17.269
+         real,parameter :: r3sub=21.875
 
 ! checked vs. old watersat data 14/05/2012 by JL.
 
          if (T.gt.T_h2O_ice_liq) then 
-            psat = Pref_solid_liquid*Exp(r3vaporization*(T-T_h2O_ice_liq)/(T-Trefvaporization)) ! liquid / vapour
-         else if (T.lt.Tmin) then
-	    print*, "careful, T<Tmin in psat water"
-          !  psat = Pref_solid_liquid*Exp(r3sublimation*(Tmin-T_h2O_ice_liq)/(Tmin-Trefsublimation)) ! min psat  
-         ! Ehouarn: gfortran says: Error: Result of EXP underflows its kind,
-         !          so set psat to the smallest possible value instead
+            psat = Pref_solid_liquid*Exp(r3vap*(T-T_h2O_ice_liq)/(T-Trefvap)) ! liquid / vapour
+         else if (T.lt.Tmin) then
+            print*, "careful, T<Tmin in psat water"
+            !  psat = Pref_solid_liquid*Exp(r3sub*(Tmin-T_h2O_ice_liq)/(Tmin-Trefsub)) ! min psat  
+            ! Ehouarn: gfortran says: Error: Result of EXP underflows its kind,
+            !          so set psat to the smallest possible value instead
             psat=tiny(psat)
          else                 
-            psat = Pref_solid_liquid*Exp(r3sublimation*(T-T_h2O_ice_liq)/(T-Trefsublimation)) ! solid / vapour
+            psat = Pref_solid_liquid*Exp(r3sub*(T-T_h2O_ice_liq)/(T-Trefsub)) ! solid / vapour
          endif
          if(psat.gt.p) then
@@ -105,28 +105,28 @@
 ! JL12 variables for tetens formula
          real,parameter :: Pref_solid_liquid=611.14
-         real,parameter :: Trefvaporization=35.86
+         real,parameter :: Trefvap=35.86
          real,parameter :: Tmin=8.
-         real,parameter :: Trefsublimation=7.66
-         real,parameter :: r3vaporization=17.269
-         real,parameter :: r3sublimation=21.875
+         real,parameter :: Trefsub=7.66
+         real,parameter :: r3vap=17.269
+         real,parameter :: r3sub=21.875
 
          real :: dummy
 
          if (psat.gt.p) then
-	    dqsat=0.
-	    return
-	 endif
+            dqsat=0.
+            return
+         endif
 
          if (T.gt.T_h2O_ice_liq) then
-            dummy = r3vaporization*(T_h2O_ice_liq-Trefvaporization)/(T-Trefvaporization)**2  ! liquid / vapour
-         else if (T.lt.Tmin) then
-	    print*, "careful, T<Tmin in Lcp psat water"
-            dummy = r3sublimation*(T_h2O_ice_liq-Trefsublimation)/(Tmin-Trefsublimation)**2  ! solid / vapour
+            dummy = r3vap*(T_h2O_ice_liq-Trefvap)/(T-Trefvap)**2  ! liquid / vapour
+         else if (T.lt.Tmin) then
+            print*, "careful, T<Tmin in Lcp psat water"
+            dummy = r3sub*(T_h2O_ice_liq-Trefsub)/(Tmin-Trefsub)**2  ! solid / vapour
          else               
-            dummy = r3sublimation*(T_h2O_ice_liq-Trefsublimation)/(T-Trefsublimation)**2  ! solid / vapour
+            dummy = r3sub*(T_h2O_ice_liq-Trefsub)/(T-Trefsub)**2  ! solid / vapour
          endif
 
          dqsat=RLVTT/RCPD*qsat*(p/(p-(1.-epsi)*psat))*dummy
-	 dlnpsat=RLVTT/RCPD*dummy
+         dlnpsat=RLVTT/RCPD*dummy
          return
       end subroutine Lcpdqsat_water
@@ -155,4 +155,5 @@
 !        input
          real p
+         real ra
   
 !        output
@@ -161,13 +162,15 @@
 ! JL12 variables for tetens formula
          real,parameter :: Pref_solid_liquid=611.14
-         real,parameter :: Trefvaporization=35.86
-         real,parameter :: Trefsublimation=7.66
-         real,parameter :: r3vaporization=17.269
-         real,parameter :: r3sublimation=21.875
+         real,parameter :: Trefvap=35.86
+         real,parameter :: Trefsub=7.66
+         real,parameter :: r3vap=17.269
+         real,parameter :: r3sub=21.875
+
+         ra = p/Pref_solid_liquid
 
          if (p.lt.Pref_solid_liquid) then ! solid / vapour
-            Tsat =(T_h2O_ice_liq*r3sublimation- Trefsublimation*Log(p/Pref_solid_liquid))/(r3sublimation-Log(p/Pref_solid_liquid))
+            Tsat =(T_h2O_ice_liq*r3sub-Trefsub*Log(ra))/(r3sub-Log(ra))
          else                 ! liquid / vapour
-            Tsat =(T_h2O_ice_liq*r3vaporization- Trefvaporization*Log(p/Pref_solid_liquid))/(r3vaporization-Log(p/Pref_solid_liquid))
+            Tsat =(T_h2O_ice_liq*r3vap-Trefvap*Log(ra))/(r3vap-Log(ra))
          endif
 
@@ -202,16 +205,16 @@
 ! JL12 variables for tetens formula
          double precision,parameter :: Pref_solid_liquid=611.14d0
-         double precision,parameter :: Trefvaporization=35.86D0
-         double precision,parameter :: Trefsublimation=7.66d0
+         double precision,parameter :: Trefvap=35.86D0
+         double precision,parameter :: Trefsub=7.66d0
          double precision,parameter :: Tmin=8.d0
-         double precision,parameter :: r3vaporization=17.269d0
-         double precision,parameter :: r3sublimation=21.875d0
+         double precision,parameter :: r3vap=17.269d0
+         double precision,parameter :: r3sub=21.875d0
 
 ! checked vs. old watersat data 14/05/2012 by JL.
 
          if (T.gt.T_h2O_ice_liq) then 
-            psat = Pref_solid_liquid*Exp(r3vaporization*(T-T_h2O_ice_liq)/(T-Trefvaporization)) ! liquid / vapour
-         else if (T.lt.Tmin) then
-	    print*, "careful, T<Tmin in psat water"
+            psat = Pref_solid_liquid*Exp(r3vap*(T-T_h2O_ice_liq)/(T-Trefvap)) ! liquid / vapour
+         else if (T.lt.Tmin) then
+            print*, "careful, T<Tmin in psat water"
          !   psat = Pref_solid_liquid*Exp(r3sublimation*(Tmin-T_h2O_ice_liq)/(Tmin-Trefsublimation)) ! min psat  
          ! Ehouarn: gfortran says: Error: Result of EXP underflows its kind,
@@ -219,5 +222,5 @@
             psat=tiny(psat)
          else                 
-            psat = Pref_solid_liquid*Exp(r3sublimation*(T-T_h2O_ice_liq)/(T-Trefsublimation)) ! solid / vapour
+            psat = Pref_solid_liquid*Exp(r3sub*(T-T_h2O_ice_liq)/(T-Trefsub)) ! solid / vapour
          endif
          if(psat.gt.p) then
@@ -258,28 +261,28 @@
 ! JL12 variables for tetens formula
          double precision,parameter :: Pref_solid_liquid=611.14d0
-         double precision,parameter :: Trefvaporization=35.86d0
+         double precision,parameter :: Trefvap=35.86d0
          double precision,parameter :: Tmin=8.d0
-         double precision,parameter :: Trefsublimation=7.66d0
-         double precision,parameter :: r3vaporization=17.269d0
-         double precision,parameter :: r3sublimation=21.875d0
+         double precision,parameter :: Trefsub=7.66d0
+         double precision,parameter :: r3vap=17.269d0
+         double precision,parameter :: r3sub=21.875d0
 
          double precision :: dummy
 
          if (psat.gt.p) then
-	    dqsat=0.d0
-	    return
-	 endif
+            dqsat=0.d0
+            return
+         endif
 
          if (T.gt.T_h2O_ice_liq) then
-            dummy = r3vaporization*(T_h2O_ice_liq-Trefvaporization)/(T-Trefvaporization)**2  ! liquid / vapour
-         else if (T.lt.Tmin) then
-	    print*, "careful, T<Tmin in Lcp psat water"
-            dummy = r3sublimation*(T_h2O_ice_liq-Trefsublimation)/(Tmin-Trefsublimation)**2  ! solid / vapour
+            dummy = r3vap*(T_h2O_ice_liq-Trefvap)/(T-Trefvap)**2  ! liquid / vapour
+         else if (T.lt.Tmin) then
+            print*, "careful, T<Tmin in Lcp psat water"
+            dummy = r3sub*(T_h2O_ice_liq-Trefsub)/(Tmin-Trefsub)**2  ! solid / vapour
          else               
-            dummy = r3sublimation*(T_h2O_ice_liq-Trefsublimation)/(T-Trefsublimation)**2  ! solid / vapour
+            dummy = r3sub*(T_h2O_ice_liq-Trefsub)/(T-Trefsub)**2  ! solid / vapour
          endif
 
          dqsat=RLVTT/RCPD*qsat*(p/(p-(1.d0-epsi)*psat))*dummy
-	 dlnpsat=RLVTT/RCPD*dummy
+         dlnpsat=RLVTT/RCPD*dummy
          return
       end subroutine Lcpdqsat_waterDP
Index: trunk/LMDZ.GENERIC/makegcm_gfortran
===================================================================
--- trunk/LMDZ.GENERIC/makegcm_gfortran	(revision 1252)
+++ trunk/LMDZ.GENERIC/makegcm_gfortran	(revision 1254)
@@ -27,8 +27,13 @@
 #setenv LMDGCM "/san/home/rdword/gcm/LMDZ.GENERIC"
 setenv LIBOGCM $LMDGCM/libo
-# NetCDF, on LMD computers:
-setenv NCDFLIB /donnees/emlmd/netcdf64-4.0.1_gfortran/lib
-setenv NCDFINC /donnees/emlmd/netcdf64-4.0.1_gfortran/include
-####
+## NetCDF, on LMD computers:
+#setenv NCDFLIB /donnees/emlmd/netcdf64-4.0.1_gfortran/lib
+#setenv NCDFINC /donnees/emlmd/netcdf64-4.0.1_gfortran/include
+setenv NCDFLIB /home/aymeric/Science/MODELES/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1/lib
+setenv NCDFINC /home/aymeric/Science/MODELES/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1/include
+#####
+
+
+
 
 setenv localdir "`pwd`"
